UpsertContactRequest
Request body for upserting a contact by external reference. Supports both creating new contacts and updating existing ones.
- connectionsType:Properties: 3
List of company connections (employments).
- emailType: null | stringmax length:254
Primary email address. Also sets the first entry in emails array if not provided.
- emailsType:Properties: 2
Email addresses with type classification. The first email becomes the primary email if email field is not set.
- firstType: null | string
Name max length:100First name.
- lastType: null | string
Name max length:100Last name.
- phoneType: null | stringmax length:20
Primary phone number. Also sets the first entry in phones array if not provided.
- phonesType:Properties: 2
Phone numbers with type classification. The first phone becomes the primary phone if phone field is not set.
- primaryType: null | string
Language max length:10Two-letter ISO 639-1 language code, e.g. "en" or "sv". Case and a region subtag are ignored ("sv-SE" is "sv"); Norwegian is "nb" ("no" is accepted). An unknown code is refused with a validation error that lists the accepted codes. An empty string clears the language.
- strategyType: null | stringmax length:4000
Investment strategy or description.
- tagsType: null | array of string
List of tags or labels. A tag cannot contain a comma.